Skip to main content
GET
/
api
/
v1
/
employees
/
{employee_id}
/
individual_enrollments
Get a list of all Individual Enrollments for an Employee
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/individual_enrollments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/individual_enrollments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/individual_enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "offset": 0,
    "page_num": 1,
    "page_size": 20,
    "total_records": 1
  },
  "response": [
    {
      "cobra_enrollment": {},
      "created": 1557512389,
      "effective_end_date": "2019-10-01",
      "effective_start_date": "2018-10-01",
      "enroll_data": {
        "premium": {
          "amount": 50,
          "unit": "Month"
        }
      },
      "group_enrollment_id": "7499ea07-76c9-40f2-992b-952259e98384",
      "id": "6670f290-4236-4690-bece-a110f9ad924b",
      "individual_enrollment_configuration": {},
      "individual_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
      "individual_type": "employee",
      "line_of_coverage": "medical",
      "modified": 1564440756,
      "plan_id": "b988cd26-121a-4dd6-b0be-09399f6ecc0a",
      "status": "active",
      "version": "27bbf929-78ca-4339-8bb3-39b75f92c4a4"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee_id
string<uuid>
required

The unique identifier of the employee for which you would like to view individual enrollments

Example:

"30b74a44-d5b1-4123-a7a4-6d3aec251ba4"

Query Parameters

effective_date
string

The relative date on which to view the state of the record

include_dependents
string

Boolean, use "true" to include dependent individual enrollments in the results

page_size
integer

The max size of each page of results

offset
integer

The integer offset at which to start the page. Possible values are 0 to total_records - 1

Response

200 - application/json

Successful Response - Returns all matching Individual Enrollments

meta
object
required

Metadata associated with the response data

response
object[]
required

List of individual enrollment results